%{?scl:%scl_package perl-App-find2perl}

Name:           %{?scl_prefix}perl-App-find2perl
Version:        1.003
Release:        5%{?dist}
Summary:        Translate find command lines to Perl code
License:        GPL+ or Artistic
Group:          Development/Tools
URL:            http://search.cpan.org/dist/App-find2perl/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/App-find2perl-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(Config)
BuildRequires:  %{?scl_prefix}perl(Cwd)
BuildRequires:  %{?scl_prefix}perl(File::Find)
BuildRequires:  %{?scl_prefix}perl(File::Spec::Functions)
BuildRequires:  %{?scl_prefix}perl(vars)
# Tests:
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(constant)
BuildRequires:  %{?scl_prefix}perl(Devel::FindPerl) >= 0.009
BuildRequires:  %{?scl_prefix}perl(File::Path)
%endif
BuildRequires:  %{?scl_prefix}perl(File::Spec)
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(File::Temp)
%endif
BuildRequires:  %{?scl_prefix}perl(IO::Handle)
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(IPC::Open2)
%endif
BuildRequires:  %{?scl_prefix}perl(IPC::Open3)
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl_prefix}perl(open)
BuildRequires:  %{?scl_prefix}perl(Perl::OSType)
%endif
BuildRequires:  %{?scl_prefix}perl(Test::More)
%if !%{defined perl_bootstrap}
BuildRequires:  %{?scl:%{_root_bindir}}%{!?scl:%{_bindir}}/find
%endif
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Conflicts:      %{?scl_prefix}perl < 4:5.18.2-300

%description
This package delivers find2perl tool which is a little translator to convert
find command lines to equivalent Perl code.

%prep
%setup -q -n App-find2perl-%{version}
%if %{defined perl_bootstrap}
rm t/find2perl.t
sed -i -e '/^t\/find2perl.t/d' MANIFEST
%endif

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes LICENSE README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Jan 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.003-5
- Rebuild of bootstrapped package

* Thu Jan 22 2015 Petr Pisar <ppisar@redhat.com> - 1.003-4
- Use find from system

* Thu Jan 08 2015 Petr Pisar <ppisar@redhat.com> - 1.003-3
- Disable a test when bootstrapping because of non-core Devel::FindPerl

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.003-2
- Perl 5.20 rebuild

* Thu Jun 19 2014 Petr Pisar <ppisar@redhat.com> 1.003-1
- Specfile autogenerated by cpanspec 1.78.
